Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 19 Mar 2023 04:48:37 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Disappointed in max ,how incompetent can a billion dollars company be,
I returned my item ,which was aviator glasses for 2.3 and after I received an email that the refund had been transferred but it wasn't,how incompetent can a company be ,after I talked to return service of max again and again and still haven't received my refund,max refund service is absolutely shit as simple as that shit https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5871093